> ## Documentation Index
> Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 계정 삭제

> 사용자 계정을 영구적으로 삭제하는 엔드포인트입니다.

## DELETE /accounts

인증된 사용자 계정과 사이트, API 키, URL 발견(discovery), 작업(job) 등 연관 데이터를 모두 영구 삭제합니다.

<Warning>
  되돌릴 수 없는 작업입니다. 삭제 후 데이터는 복구할 수 없습니다.
</Warning>

### 응답

<ResponseField name="success" type="boolean">
  계정 삭제 성공 여부입니다.
</ResponseField>

<ResponseField name="message" type="string">
  상태 메시지입니다.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE https://api.llmgenerator.com/api/v1/accounts \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```

  ```javascript Node.js theme={null}
  const response = await fetch(
    'https://api.llmgenerator.com/api/v1/accounts',
    {
      method: 'DELETE',
      headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
    }
  );
  ```
</RequestExample>

<ResponseExample>
  ```json Success (200) theme={null}
  {
    "success": true,
    "message": "Account deleted successfully"
  }
  ```

  ```json Unauthorized (401) theme={null}
  {
    "message": "API key context not found"
  }
  ```
</ResponseExample>
